﻿namespace UltraGridIssue
{
    using System;
    using System.Data;
    using System.Windows.Forms;

    public partial class FormWithDataGrid : Form
    {
        public FormWithDataGrid()
        {
            this.InitializeComponent();
            this.Load += FormWithDataGrid_Load;
        }

        private void FormWithDataGrid_Load(object sender, EventArgs e)
        {
            this.dataGridView1.DataSource = this.GetData(80000, 20);
        }

        private DataTable GetData(int rows = 20, int cols = 5)
        {
            DataTable dt = new DataTable();

            for(int col = 0; col < cols; col++)
            {
                dt.Columns.Add(string.Format("Column #{0}", col + 1));
            }

            for(int row = 0; row < rows; row++)
            {
                DataRow addRow = dt.NewRow();
                foreach(DataColumn column in dt.Columns)
                {
                    addRow[column] = string.Format("{0}.{1}", row + 1, column.Ordinal + 1);
                }

                dt.Rows.Add(addRow);
            }

            return dt;
        }
    }
}
